'*****************************************************************
'*                                                               *
'* Software pro testovani 8x IR detektoru priblizeni             *
'*                                                               *
'* Autor: Jan Babjak (jan@babjak.cz)  last edit: 03.04.2006      *
'*                                                               *
'* web: ir.babjak.cz                                             *
'*                                                               *
'*****************************************************************


$crystal = 8000000
$regfile = "m16def.dat"

Const I2c_slave_address = &B01110001



Config Sda = Portc.1
Config Scl = Portc.0

Config Lcdpin = Pin , Db4 = Portd.5 , Db5 = Portd.4 , Db6 = Portd.3 , Db7 = Portd.2 , E = Portd.0 , Rs = Portd.1
Config Lcd = 16 * 2


Config Pind.7 = Output
Red_led Alias Portd.7

Dim Data_high As Byte
Dim Data_med As Byte
Dim Data_low As Byte

Red_led = 0
Waitms 200
Red_led = 1

Cls
Lcd "8xIR detektor"
Locate 2 , 1
Lcd "priblizeni"
Wait 3

Do
  I2cstart
  I2cwbyte I2c_slave_address
  I2crbyte Data_high , Ack
  I2crbyte Data_med , Ack
  I2crbyte Data_low , Nack

  I2cstop

  Cls
  Lcd Bin(data_high)
  Lcd Bin(data_med)
  Locate 2 , 1
  Lcd Bin(data_low)

  If Data_high > 0 And Data_high <> 255 Then Portd.7 = 0 Else Portd.7 = 1

  Waitms 500

Loop

